summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/etsh/README15
-rw-r--r--system/etsh/etsh.SlackBuild100
-rw-r--r--system/etsh/etsh.info14
-rw-r--r--system/etsh/slack-desc19
4 files changed, 148 insertions, 0 deletions
diff --git a/system/etsh/README b/system/etsh/README
new file mode 100644
index 0000000000..912f9eb8e8
--- /dev/null
+++ b/system/etsh/README
@@ -0,0 +1,15 @@
+etsh (extended Thompson shell)
+
+Etsh(1) is an enhanced, backward-compatible port of the Sixth Edition
+Thompson shell. Tsh(1) is an unenhanced port of the shell, and glob(1)
+is a port of its global command. Together, tsh and glob provide a user
+interface which is backward compatible with that provided by the Sixth
+Edition Thompson shell and global command, but without the obvious
+enhancements found in etsh.
+
+The original Thompson shell was principally written by Ken Thompson of
+Bell Labs.
+
+etsh was formerly known as "osh".
+
+The package includes v6scripts and looptest.
diff --git a/system/etsh/etsh.SlackBuild b/system/etsh/etsh.SlackBuild
new file mode 100644
index 0000000000..9585c5f15e
--- /dev/null
+++ b/system/etsh/etsh.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for etsh
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# v6scripts and looptest are released separately from the main etsh
+# source. Since they're small and simple, I've rolled them into this
+# build to avoid the overhead of having 3 separate builds. The
+# looptest source was made with:
+# git clone https://github.com/JNeitzel/looptest.git
+# rm -rf looptest/.git*
+# mv looptest looptest-$LT_VER
+# tar cvfJ looptest-$LT_VER.tar.xz looptest-$LT_VER
+
+# The name means "Extended Thompson Shell", it's nothing to do with
+# phoning home...
+
+PRGNAM=etsh
+VERSION=${VERSION:-5.0.2} # main etsh version
+V6S_VER=${V6S_VER:-20180109} # v6scripts version
+LT_VER=${LT_VER:-20180115} # looptest version
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+./configure # not a GNU autoconf script, does not take standard args
+make PREFIX=/usr BINDIR=/bin DESTDIR=$PKG WARNINGS="$SLKCFLAGS" install
+
+DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+
+# include v6scripts in docdir
+mkdir -p $DOCDIR/looptest-$LT_VER
+tar xvfC $CWD/v6scripts-$V6S_VER.tar.gz $DOCDIR
+chown -R root:root $DOCDIR
+
+# also looptest
+tar xvf $CWD/looptest-$LT_VER.tar.xz
+cd looptest-$LT_VER
+ chown -R root:root .
+ make CFLAGS="-std=c99 $SLKCFLAGS" PREFIX=/usr DESTDIR=$PKG all install
+ cp -a CHANGES LICENSE README $DOCDIR/looptest-$LT_VER
+cd -
+
+# binaries already stripped
+gzip -9 $PKG/usr/man/man?/*.?
+
+cp -a AUTHORS CHANGES* DEDICATIONS History \
+ LICENSE NOTES PROJECT README* examples \
+ $DOCDIR
+cat $CWD/$PRGNAM.SlackBuild > $DOCDIR/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/etsh/etsh.info b/system/etsh/etsh.info
new file mode 100644
index 0000000000..811681178b
--- /dev/null
+++ b/system/etsh/etsh.info
@@ -0,0 +1,14 @@
+PRGNAM="etsh"
+VERSION="5.0.2"
+HOMEPAGE="https://etsh.io/"
+DOWNLOAD="https://etsh.io/src/etsh-5.0.2.tar.gz \
+ https://etsh.io/v6scripts/v6scripts-20180109.tar.gz \
+ http://urchlay.naptime.net/~urchlay/src/looptest-20180115.tar.xz"
+MD5SUM="d662d86923cd9c6bf51b505ae96ac363 \
+ 5fee60c842f1ab7274c5a53447de2b63 \
+ 1c7ef73a9515d340354bbb19e5ebed91"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/etsh/slack-desc b/system/etsh/slack-desc
new file mode 100644
index 0000000000..e488a3aa67
--- /dev/null
+++ b/system/etsh/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+etsh: etsh (extended Thompson shell)
+etsh:
+etsh: Etsh(1) is an enhanced, backward-compatible port of the Sixth
+etsh: Edition Thompson shell. Tsh(1) is an unenhanced port of the shell.
+etsh:
+etsh: The original Thompson shell was principally written by Ken Thompson
+etsh: of Bell Labs.
+etsh:
+etsh: etsh was formerly known as "osh".
+etsh:
+etsh: